summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/cxx1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/cxx1.sh')
-rwxr-xr-xtrunk/testsuite/cxx1.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/trunk/testsuite/cxx1.sh b/trunk/testsuite/cxx1.sh
index 71ac75e..6ca9b3c 100755
--- a/trunk/testsuite/cxx1.sh
+++ b/trunk/testsuite/cxx1.sh
@@ -6,7 +6,7 @@ $CXX -shared -O2 -fpic -o cxx1lib1.so $srcdir/cxx1lib1.C
$CXX -shared -O2 -fpic -o cxx1lib2.so $srcdir/cxx1lib2.C cxx1lib1.so
BINS="cxx1"
LIBS="cxx1lib1.so cxx1lib2.so"
-$CXXLINK -o cxx1 $srcdir/cxx1.C -Wl,--rpath-link,. cxx1lib2.so
+$CXXLINK -o cxx1 $srcdir/cxx1.C -Wl,--rpath-link,. cxx1lib2.so cxx1lib1.so
savelibs
echo $PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 > cxx1.log
$PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 >> cxx1.log 2>&1 || exit 1
@@ -15,7 +15,9 @@ case "`uname -m`" in
arm*) ;; # EABI says that vtables/typeinfo aren't vague linkage if there is a key method
*) [ $( grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx1.log | grep 'Removing C++ conflict' | wc -l ) -ge 5 ] || exit 3;;
esac
-LD_LIBRARY_PATH=. ./cxx1 || exit 4
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./cxx1 || exit 4
+fi
readelf -a ./cxx1 >> cxx1.log 2>&1 || exit 5
# So that it is not prelinked again
chmod -x ./cxx1